Atualizar organização
curl --request PATCH \
--url https://api.devin.ai/v3/enterprise/organizations/{org_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"max_cycle_acu_limit": 123,
"max_session_acu_limit": 123,
"name": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/enterprise/organizations/{org_id}"
payload = {
"max_cycle_acu_limit": 123,
"max_session_acu_limit": 123,
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({max_cycle_acu_limit: 123, max_session_acu_limit: 123, name: '<string>'})
};
fetch('https://api.devin.ai/v3/enterprise/organizations/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": 123,
"max_cycle_acu_limit": 123,
"max_session_acu_limit": 123,
"name": "<string>",
"org_id": "<string>",
"updated_at": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Organizações (Enterprise)
Atualizar organização
Atualizar o nome de uma organização e/ou seus limites de ACU.
PATCH
/
v3
/
enterprise
/
organizations
/
{org_id}
Atualizar organização
Permissões
ManageOrganizations em nível de Enterprise.Autorizações
Credencial de usuário de serviço (prefixo: cog_)
Parâmetros de caminho
ID da organização (prefixo: org-)
Exemplo:
"org-abc123def456"
Corpo
application/json
⌘I

